#include <minigui.ch>

Function  My_ZalozBaze( cBazaKor)
	Local i := 0
	Local aIstniejaceTabele := {}
	cBazaKor:= Lower(cBazaKor)

	/*  Verifica se esta conectado ao MySql */
	   If oServer == Nil ; MsgInfo("Brak poczenia z serwerem MySQL!!") ; Return Nil ; EndIf            

	/*  Antes de criar Verifica se a Base de Dados j existe */
	   aIstniejaceTabele  := oServer:ListDBs()

	/*  Verifica se ocorreu algum erro */
	   If oServer:NetErr() 
		 MsGInfo("Bd weryfikacji / <TMySQLServer> " + oServer:Error(),cNazwaSystemu )
		 Release Window ALL
		Quit
	  Endif 

	/* Verifica se na Array aBaseDeDadosExistentes tem a Base de Dados */
	  If AScan( aIstniejaceTabele, Lower( cBazaKor) ) != 0
		 //MsgINFO( "Baza "+cBazaKor+" ju istnieje!!")
		 Return Nil
	  EndIf 

	/* Utwrz baz danych */
	cQ := "CREATE DATABASE "+cBazaKor +" CHARACTER SET CP1250;"
	oServer:QUERY(cQ)
	//oServer:CreateDatabase( cBazaKor )

	/*  Czy si powiodo? */
	If oServer:NetErr() 
	MsGInfo("Bd podczas tworzenia bazy "+cBazaKor+" / <TMySQLServer> " + oServer:Error(),cNazwaSystemu )
		Release Window ALL
		Quit
	Endif 

	////MsgInfo("Base de Dados << "+cBazaKor+" >> Criada com Sucesso!!" )          
	
	Return Nil

Function My_PolaczZBaza( cBazaKor )
	Local i := 0
	Local aBaseDeDadosExistentes := {}
	cBazaKor := Lower(cBazaKor)
			   
	/*  Verifica se esta conectado ao MySql */
	   If oServer == Nil ; MsgInfo("Brak poczenia z serwerem MySQL!!") ; Return Nil ; EndIf

	/*  Antes de Conectar Verifica se a Base de Dados j existe */
	   aBaseDeDadosExistentes := oServer:ListDBs()

	/*  Verifica se ocorreu algum erro */
	   If oServer:NetErr() 
		 MsGInfo("Bd weryfikacji listy baz danych / <TMySQLServer> " + oServer:Error(),cNazwaSystemu )
		 Release Window ALL
		Quit
	  Endif 

	/* Verifica se na Array aBaseDeDadosExistentes tem a Base de Dados */            
	  If AScan( aBaseDeDadosExistentes, Lower( cBazaKor ) ) == 0
		 // MsgINFO( "Baza danych: "+cBazaKor+" Nie istnieje!!. Zakadam now!")
		 My_ZalozBaze(cBazaKor)
		 
	  EndIf 

	/* Pocz z baz */
	  oServer:SelectDB( cBazaKor )

	/*  Sprawd, czy nie ma bdu w poczeniu */
	   If oServer:NetErr() 
		 MsGInfo("Nieudane poczenie do bazy: "+cBazaKor+" / <TMySQLServer> " + oServer:Error(),cNazwaSystemu )
		 Release Window ALL
		Quit
	  Endif 

	  ///MsgInfo("Banco de Dados << "+cBazaKor+" >> Aberto!!" )          
	  
 Return Nil
/*
*/

Function My_UtworzTabele( cTabela  )				
              Local i                                := 0
              Local aTabelasExistentes    := {}                                           
              Local aStruc                       := {}            
              Local cQuery 

              /* Usei esta sintaxe porque no consegui criar tabela com TMySQLServer usando a varivel Codigo com AutoIncremento */
                  cQuery  := "CREATE TABLE "+ cTabela+" ( Codigo SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT ,  Nome  VarChar(40) ,  Endereco  VarChar(40) , eMail  VarChar(40) , PRIMARY KEY (Codigo) ) "

              /*  Verifica se esta conectado ao MySql */
                   If oServer == Nil ; MsgInfo("Conexo com MySql no foi Iniciada!!") ; Return Nil ; EndIf
              
              /*  Antes de criar Verifica se a Tabela  j existe */
                   aTabelasExistentes  := oServer:ListTables()

               /*  Verifica se ocorreu algum erro */
                   If oServer:NetErr() 
                     MsGInfo("Erro verificando Lista de Tabelas / <TMySQLServer> " + oServer:Error(),cNazwaSystemu )
                     Release Window ALL
                    Quit
                  Endif 

               /* Verifica se na Array aTabelasExistentes tem a Tabela */
                  If AScan( aTabelasExistentes, Lower( cTabela ) ) != 0
                     MsgINFO( "Tabela "+cTabela+" J Existe!!")
                     Return Nil
                  EndIf 

               /* Cria a Tabela */           
                  oQuery := oServer:Query( cQuery )											
              
              /*  Verifica se ocorreu algum erro */
                   If oServer:NetErr() 
                     MsGInfo("Erro Criando Tabela "+cTabela+" / <TMySQLServer> " + oServer:Error(),cNazwaSystemu )
                     Release Window ALL		
                    Quit
                  Endif 

              /*  Elimina Objeto Query */
                  oQuery:Destroy()     
							
                  ////MsgInfo("Tabela << "+cTabela+" >> Criada com Sucesso!!" )   	    
                  
                  Return Nil
            